Subject: Re: bug#17808: 24.4.50; vc-annotate colors

From: Juri Linkov <[email-masked]>
Date: Thu, 03 Jul 2014 02:31:03 +0300

>> > Currently vc-annotate uses dark background even when the default
>> > background is light.  Would be nicer to have another option similar
>> > to the existing `vc-annotate-background' that will define the
>> > default foreground (instead of the default background) and put
>> > colors from color-map on the background instead of the foreground:
>>
>> Actually much cleaner would be to add a dedicated user option
>> that will define whether to apply the color map to the background
>> or to the foreground.  When applied to the background with the
>> default light background, colors need to be less saturated,
>> so the saturation is decreased from 75% to 20% for light backgrounds.
>> Also `vc-annotate-background' doesn't need the default value "black"
>> because the background will be dark on dark environments anyway.
>
> Did anyone think of just using the current default background color?
> If not, why not?

Some colors from the current `vc-annotate-color-map' are
illegible when used for a foreground on a light background
(white by default).

But the last patch provides a palette where color saturation
is reduced from 75% to 20%, so the output looks nicely
for light backgrounds where related lines are grouped
using the same backgrounds like in the table from this post :-)

https://plus.google.com/+BrunoOliveira/posts/1mnVJcJqzVD